--- title: "Get usage limits" slug: "analytics-cloudsearch-getquotalist" updated: 2026-09-17T09:48:02Z published: 2026-09-17T09:48:02Z canonical: "api.ncloud-docs.com/analytics-cloudsearch-getquotalist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get usage limits **We are preparing a localization service for the content. We will do our best to provide the localization service as soon as possible.** View the usage limits set for your domain. - document_upload: uploaded document size(byte) - reindex: reindexing (section, when adding index) document size(byte) - autocomplete_reindex: number of autocompleted documents - search_response: Search query network usage(byte) ``` GET https://cloudsearch.apigw.ntruss.com/CloudSearch/real/v1/domain/{name}/quota ``` ## Request ### Request Parameters | Parameter | Required | Type | Limitations | Description | | --- | --- | --- | --- | --- | | name | Y | string | | Domain name | ## Response | Field | Type | Description | Note | | --- | --- | --- | --- | | [].type | string | Items with usage limits | search_response, document_upload, reindex, autocomplete_reindex | | [].status | string | Resource Status | usable, unusable | | [].updateTime | string | Last time the status or usage limit setting was changed | | | [].quota | number | Usage restriction | | | [].interval | string | Initialization Cycle | 1month, 1day | | [].usageQuantity | number | Usage during the set period | | ### Response status | HTTP status | Description | | --- | --- | | 200 | OK (Successfully completed) | | 400 | Bad Request | | 401 | Unauthorized | | 403 | Forbidden | | 404 | Not Found | | 500 | Internal Server Error | ## Examples ### Request Example ``` GET /CloudSearch/beta/v1/domain/my_service/quota HTTP/1.1 Host: cloudsearch.apigw.ntruss.com accept:application/json x-ncp-iam-access-key: cPMl0CYGgRYvEa8sylCj x-ncp-apigw-signature-v2: +Ln++MqcKHckKli2y/bB76xLUu8qR9rLvo6j2yIYuYg= x-ncp-apigw-timestamp: 1551453306138 ``` ### Response Example ``` [ { "type": "search_response", "status": "usable", "updateTime": "30-04-2019 15:00:01", "quota": 10000000000, "interval": "1Month", "usageQuantity": 6221 }, { "type": "document_upload", "status": "usable", "updateTime": "30-04-2019 15:00:05", "quota": 1000000, "interval": "1Month", "usageQuantity": 17736 } ] ```